import abc
import logging

import six


logger = logging.getLogger(__name__)


@six.add_metaclass(abc.ABCMeta)
class HelixEventHandlerInterface(object):  # pragma: nocover
    @abc.abstractmethod
    def accountUpdate(self, app, event):
        """new/updated information for the account associated with the customerID"""
        pass

    @abc.abstractmethod
    def sampleStatusUpdate(self, app, event):
        """there is a new status update for the sample associated with the customerID"""
        pass

    @abc.abstractmethod
    def accessRevoked(self, app, event):
        """notifies you that the user has revoked access to his or her genetic data"""
        pass
